package com.ubsidi.menu.storageutils;

import androidx.room.Database;
import androidx.room.RoomDatabase;

import com.ubsidi.menu.dao.CommissionDao;
import com.ubsidi.menu.models.CardBrandCommission;
import com.ubsidi.menu.models.CountryCom;
import com.ubsidi.menu.models.CountryCommission;

/**
 * Created by Amrish on 19-05-2021.
 */

@Database(entities =
        {
                CardBrandCommission.class,
                CountryCommission.class,
                CountryCom.class
        },
        version = 1, exportSchema = false)

public abstract class AppDatabase extends RoomDatabase {
    public abstract CommissionDao commissionDao();
}