package com.ubsidi.twinkleapp;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;

import java.net.HttpURLConnection;
import java.util.concurrent.TimeUnit;

import okhttp3.OkHttpClient;
import okhttp3.logging.HttpLoggingInterceptor;
import retrofit2.Retrofit;
import retrofit2.converter.gson.GsonConverterFactory;

public class RetrofitClientInstance {

    private static final String BASE_URL = "http://192.168.1.24:8500/api.php";
    private  static Retrofit retrofit;

    public static Retrofit getRetrofitClientInstance()
    {
        OkHttpClient.Builder builder = new OkHttpClient.Builder().
                connectTimeout(1000,TimeUnit.SECONDS).
                callTimeout(1000, TimeUnit.SECONDS).
                readTimeout(1000,TimeUnit.SECONDS).
                writeTimeout(1000,TimeUnit.SECONDS);

        HttpLoggingInterceptor interceptor = new HttpLoggingInterceptor();
        interceptor.setLevel(HttpLoggingInterceptor.Level.BODY);

        Gson gson = new GsonBuilder().create();


        return retrofit;
    }

}
