package com.data;

import android.content.ContentValues;
import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;
import android.util.Log;
import com.model.Restaurants_Data;
import com.params.params;

public class MyDbHandler extends SQLiteOpenHelper {
    public MyDbHandler(Context context) {
        super(context, params.DB_NAME, null, params.DB_VERSION);
    }

    @Override
    public void onCreate(SQLiteDatabase db) {
//        Create table TABLE_NAME(KEY_ID,Primary_Key,KEY_RES_NAME,
//        KEY_RES_STATUS,KEY_RES_BACKGROUND,KEY_RES_LOGO,KEY_RES_MIN_PRICE,KEY_RES_DEL_TYPE);
        String create="Create table "+params.TABLE_NAME+"("+ params.KEY_ID+" INTEGER PRIMARY KEY, "+params.KEY_RES_NAME+" TEXT, "+params.KEY_RES_STATUS+" TEXT, "+params.KEY_RES_BACKGROUND+" TEXT, "+params.KEY_RES_LOGO+" TEXT, "+params.KEY_RES_MIN_PRICE+"TEXT, "+params.KEY_RES_DEL_TYPE+" Text"+" )";
        Log.d("myDb","Query Being Run Is: "+create);
        db.execSQL(create);

    }

    @Override
    public void onUpgrade(SQLiteDatabase sqLiteDatabase, int i, int i1) {

    }

    public void addRestaurant(Restaurants_Data rd)
    {
        SQLiteDatabase d=this.getWritableDatabase();
        ContentValues values=new ContentValues();
        values.put(params.KEY_RES_NAME,rd.getRes_name());
        values.put(params.KEY_RES_STATUS,rd.getRes_status());
//        values.put(params.KEY_RES_BACKGROUND,rd.getRes_background());
//        values.put(params.KEY_RES_LOGO,rd.getRes_logo());
        values.put(params.KEY_RES_MIN_PRICE,rd.getRes_min_price());
        values.put(params.KEY_RES_DEL_TYPE,rd.getRes_del_type());
        d.insert(params.TABLE_NAME,null,values);
        Log.d("myDb","Inserted Successfully...");
        d.close();

    }
}
