package com.ubsidi.menu.network;

import com.ubsidi.menu.BuildConfig;

/**
 * Created by Amrish on 19-08-2020.
 */
public class ApiEndPoints {

   /* public static String BASE_URL() {
        if (BuildConfig.DEBUG) {
            if (ubsidiBuild) {
                return "https://www.tiffintom.com/v5/StoreMobileApi/requests";
            }
            return "https://www.tiffintom.net/v2/StoreMobileApi/requests";
        } else {
            return "https://www.tiffintom.com/v5/StoreMobileApi/requests";
        }
    }*/

    public static boolean ubsidiBuild = false;

    public static String UBSIDI_BASE_URL() {
//        return "http://192.168.1.23:8300/";
        if (BuildConfig.DEBUG) {
            if (ubsidiBuild) {
                return "https://www.ubsidi.com/api/public/";
            } else
                return "https://testrms.tiffintom.com/public/";
        } else {
            return "https://www.ubsidi.com/api/public/";
        }
    }

    public static String BASE_URL_WITH_TIFFINTOM() {
//        return UBSIDI_BASE_URL() + "tiffintom/";
        return UBSIDI_BASE_URL() + "epos/tiffintom/";
    }

    public static String BASE_URL_WITH_EPOS() {
        return UBSIDI_BASE_URL() + "epos/";
    }

    public static String BASE_URL_WITH_TIFFINTOM_API() {
        return UBSIDI_BASE_URL() + "api/";
    }

    //NEW URLS
    public static String MERCHANT_BASE_URL() {
        return UBSIDI_BASE_URL() + "merchant/";
    }

    //OLD URLS
    public static String MERCHANT_BASE_URL = "https://nibsrms.com/systemsApi/merchantService/";

    //NEW MERCHANT URLS
    public static String devices = MERCHANT_BASE_URL() + "businesses/{business_id}/device-registrations/validate/{device_id}";
    public static String MERCHANT_LOGIN = MERCHANT_BASE_URL() + "login";
    public static String MERCHANT_REPORT_SUMMARY = MERCHANT_BASE_URL() + "businesses/{business_id}/report-summary/";
    public static String MERCHANT_BUSINESSES = MERCHANT_BASE_URL() + "businesses/";
    public static String MERCHANT_DEVICE_REGISTRATION = MERCHANT_BASE_URL() + "businesses/{business_id}/device-registrations";
    public static String MERCHANT_BUSINESSES_TRANSACTIONS = MERCHANT_BASE_URL() + "businesses/{business_id}/card-transactions";
    public static String MERCHANT_BUSINESSES_ALL_TRANSACTIONS = MERCHANT_BASE_URL() + "businesses/{business_id}/all-transactions";
    public static String MERCHANT_BUSINESS_TRANSACTIONS_ARCHIVE = MERCHANT_BASE_URL() + "businesses/{business_id}/card-transactions/archive";
    public static String MERCHANT_BUSINESS_ALL_TRANSACTIONS_ARCHIVE = MERCHANT_BASE_URL() + "businesses/{business_id}/all-transactions/archive";
    public static String MERCHANT_BUSINESS_TRANSACTIONS_UNARCHIVE = MERCHANT_BASE_URL() + "businesses/{business_id}/card-transactions/unarchive";
    public static String MERCHANT_BUSINESS_ALL_TRANSACTIONS_UNARCHIVE = MERCHANT_BASE_URL() + "businesses/{business_id}/all-transactions/unarchive";
    public static String MERCHANT_REFUND_TRANSACTIONS = MERCHANT_BASE_URL() + "businesses/{business_id}/card-transactions/{id}/refund";
    public static String MERCHANT_REFUND_PAYPAL_TRANSACTIONS = MERCHANT_BASE_URL() + "businesses/{business_id}/paypal-transactions/{id}/refund";
    public static String MERCHANT_BUSINESSES_STATEMENT = MERCHANT_BASE_URL() + "businesses/{business_id}/statements/";
    public static String PAYMENT_INTENT = UBSIDI_BASE_URL() + "api/pg/payment-intent";
    public static String CARD_READER_PAYMENT = UBSIDI_BASE_URL() + "card-reader-payment";
    public static String CARD_READER_TOKEN = UBSIDI_BASE_URL() + "api/pg/card-reader-connection-token";
    public static String CAPTURE_PAYMENT_INTENT = UBSIDI_BASE_URL() + "api/pg/payment-intent-capture";
    public static String APPLICATION_FEE = UBSIDI_BASE_URL() + "api/pg/calculate-application-fee";

    // NEW APIS
    public static String overview = BASE_URL_WITH_TIFFINTOM() + "dashboard/overview/";
    public static String chat_count = BASE_URL_WITH_TIFFINTOM() + "chat/chat-all-count";
    public static String forgot_password = BASE_URL_WITH_TIFFINTOM() + "users/forgot-password";
    public static String restaurants = BASE_URL_WITH_TIFFINTOM() + "restaurants/";
    public static String orders = BASE_URL_WITH_TIFFINTOM() + "orders/";
    public static String orders_help = BASE_URL_WITH_TIFFINTOM() + "order-help/";
    public static String partner_message = BASE_URL_WITH_TIFFINTOM() + "partner-messages/";
    public static String payment_overview = BASE_URL_WITH_TIFFINTOM() + "dashboard/payment-overview/";
    public static String payment_message = BASE_URL_WITH_TIFFINTOM() + "payment-message";
    public static String payment_transactions = BASE_URL_WITH_TIFFINTOM() + "payment-transactions/";
    public static String bookings = BASE_URL_WITH_TIFFINTOM() + "bookings";
    public static String reviews = BASE_URL_WITH_TIFFINTOM() + "reviews/";
    public static String offers = BASE_URL_WITH_TIFFINTOM() + "offers/";
    public static String app_feedback = BASE_URL_WITH_TIFFINTOM() + "app-feedback";
    public static String restaurants_vouchers = BASE_URL_WITH_TIFFINTOM() + "restaurant-vouchers";
    public static String businesses = BASE_URL_WITH_TIFFINTOM_API() + "businesses";

    public static String online_categories = BASE_URL_WITH_TIFFINTOM() + "categories/";
    public static String online_addons = BASE_URL_WITH_TIFFINTOM() + "addons/";
    public static String online_products = BASE_URL_WITH_TIFFINTOM() + "menu/";

    public static String epos_categories = BASE_URL_WITH_EPOS() + "categories/";
    public static String epos_addons = BASE_URL_WITH_EPOS() + "addons/";
    public static String epos_products = BASE_URL_WITH_EPOS() + "menu/";
}
