package com.ubsidi.menu.services_receivers;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.os.Build;

import com.ubsidi.menu.MyApp;
import com.ubsidi.menu.utils.LogUtils;

/**
 * Created by fabio on 24/01/2016.
 */
public class ServiceStopReceiver extends BroadcastReceiver {

    @Override
    public void onReceive(Context context, Intent intent) {
        LogUtils.e(ServiceStopReceiver.class.getSimpleName(), "Service Stops! Oooooooooooooppppssssss!!!!");
        try {
            if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.M) {
                MyApp.getInstance().schedulerJob(context);
            } else {
                context.startService(new Intent(context, TiffintomPartnerService.class));
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

}
