package com.ubsidi.menu.activities;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.os.Bundle;

import com.google.android.material.button.MaterialButton;
import com.ubsidi.menu.R;
import com.ubsidi.menu.base.BaseActivity;

public class ForgetPasswordSuccessActivity extends BaseActivity {

    private MaterialButton btnLogin;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_forget_password_success);

        setListeners();
    }

    @Override
    protected void initViews() {
        super.initViews();
        btnLogin = findViewById(R.id.btnLogin);
    }

    private void setListeners() {
        btnLogin.setOnClickListener(v -> {
            startActivity(new Intent(ForgetPasswordSuccessActivity.this, LoginActivity.class).setFlags(Intent.FLAG_ACTIVITY_CLEAR_TASK | Intent.FLAG_ACTIVITY_NEW_TASK | Intent.FLAG_ACTIVITY_CLEAR_TOP));
        });
    }
}